Bug 475952 - radeon_lock.c:100: radeonGetLock: Assertion `drawable != ((void *)0)' failed.
radeon_lock.c:100: radeonGetLock: Assertion `drawable != ((void *)0)' failed.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 04:50 EST by Hans de Goede
Modified: 2009-11-16 10:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 10:22:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (73.23 KB, text/plain)
2009-02-02 17:07 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2008-12-11 04:50:38 EST
While doing a test install of RHEL-4.8 using virt-manager, I closed the virt-viewer while the install was still running. This caused the message from the summary to appear on the console where the virt-viewer was started.

While on the subject there also is an issue with the virt-viewer, where video updates will be drawn as if it is an "always on top" window, so they will get drawn over other (overlapping) windows. This only happens when the scaling option in the virt-viewer is on (which is the default). I'm not sure if this is a virt-viewer or an ati driver issue, but I would guess the latter.
Comment 1 Hans de Goede 2008-12-11 05:36:51 EST
Ok, some new info. This happens *every* time I close a virt-viewer window.
Comment 2 Matěj Cepl 2008-12-17 19:32:06 EST
Hans, give us please /var/log/Xorg.0.log, but I have really deep suspicion about virt-viewer. Putting virt-viewer-owner to CC and curious about their opinion.
Comment 3 François Cami 2009-02-02 16:47:00 EST
Hans, does that happen with current F10 ?
Could you post /var/log/Xorg.0.log as requested ?
Comment 4 Hans de Goede 2009-02-02 17:07:44 EST
Created attachment 330687 [details]
xorg log

(In reply to comment #3)
> Hans, does that happen with current F10 ?

Yes it does.

> Could you post /var/log/Xorg.0.log as requested ?

Here you go.
Comment 5 François Cami 2009-02-02 17:23:20 EST
Hans,
Could you try with the vesa driver ? 
Thanks
Comment 6 Hans de Goede 2009-02-03 03:11:00 EST
(In reply to comment #5)
> Hans,
> Could you try with the vesa driver ? 

-ENOTIME

I'm sorry but I really do not have the time go try all sort of random things here, what does trying with the vesa driver gain? Surely the message will go away as its emitted by the radeon driver.
Comment 7 François Cami 2009-02-07 09:40:32 EST
*** Bug 476875 has been marked as a duplicate of this bug. ***
Comment 8 François Cami 2009-02-07 09:41:45 EST
*** Bug 484326 has been marked as a duplicate of this bug. ***
Comment 9 Parag Warudkar 2009-02-09 23:29:57 EST
This happens to me on an as of now up2date  F10 installtion (x86_64 ) while running qtdemo from Qt4.5-rc1.
Comment 10 Bug Zapper 2009-06-09 06:13:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Matěj Cepl 2009-11-05 13:21:06 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Hans de Goede 2009-11-15 16:46:29 EST
I'm no longer seeing this with a fully up2date F-12 install.
Comment 13 Matěj Cepl 2009-11-16 10:22:29 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.